"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Label = void 0;

var _react = _interopRequireDefault(require("react"));

var _LanguageService = _interopRequireDefault(require("../../services/LanguageService"));

var _nativeBase = require("native-base");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Label = props => {
  const {
    children,
    translationType
  } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const {
    translateText,
    translate
  } = (0, _LanguageService.default)();

  switch (translationType) {
    case 'none':
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, children);

    case 'id':
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, translate(children));

    case 'default':
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, translateText(children));

    default:
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, translateText(children));
  }
};

exports.Label = Label;
//# sourceMappingURL=Label.js.map