import React, { FC, ReactNode } from 'react';
import useLanguage from '../../services/LanguageService';
import { Label as LabelX, NativeBase } from 'native-base';

export type LabelProps = NativeBase.Label & {
  children: ReactNode | string;
  translationType?: 'default' | 'id' | 'none';
};
export const Label: FC<LabelProps> = (props: LabelProps) => {
  const { children, translationType } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const { translateText, translate } = useLanguage();
  switch (translationType) {
    case 'none':
      return <LabelX {...PropsX}>{children}</LabelX>;
    case 'id':
      return <LabelX {...PropsX}>{translate(children as string)}</LabelX>;
    case 'default':
      return <LabelX {...PropsX}>{translateText(children as string)}</LabelX>;
    default:
      return <LabelX {...PropsX}>{translateText(children as string)}</LabelX>;
  }
};
